Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.event
Interface EventIterator

All Superinterfaces:
  Iterator<Event>

    public interface EventIterator

extends Iterator<Event>

EventIterators are unmodifiable.

Since:
  1.3
See Also:
  `Event`, `EventSet`, `Set.iterator()`

Method Summary
`Event` | `nextEvent()`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### nextEvent

    Event nextEvent()

  Returns:
    The next `Event` in an `EventSet`.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD